package testing;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

import common.interfaces.BSForServletInterface;
import common.interfaces.exceptions.*;

public class Servlet25RegisterMazinga {
	
	public static void main (String[] argv){
		BSForServletInterface bsInt = null;
		try {
			bsInt = (BSForServletInterface) Naming.lookup("rmi://localhost:1111/gossipBS");
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (NotBoundException e) {
			e.printStackTrace();
		}
		
		try {
			//test da effettuare dopo che sono stati registrati gli utenti marco e chuck sul primo message server, ne e' stato attivato un altro, e le assegnazioni del primo sono state bloccate.
			//ASSICURARSI CHE mazinga NON SIA sul server 0!!!
			bsInt.register("mazinga", "zeta");
			bsInt.register("spad", "zeta");
			bsInt.register("mockey", "zeta");
			bsInt.register("quad", "zeta");
			bsInt.register("barbanera", "zeta");
			bsInt.register("barbablu", "zeta");
			bsInt.register("akira", "zeta");
			bsInt.register("kayoshi", "zeta");
			
			try{
				bsInt.register("spad", "zeta");
				System.out.println("ERRORE: accettata iscrizione doppia!");
			} catch (AssignationNotAcceptedException e){
				System.out.println("OK: iscrizione doppia rifiutata!");	
			}
			try{
				bsInt.register("SPad", "zeta");
				System.out.println("ERRORE: accettata iscrizione doppia!");
			} catch (AssignationNotAcceptedException e){
				System.out.println("OK: iscrizione doppia rifiutata!");	
			}
			try{
				bsInt.register("quad", "zeta");
				System.out.println("ERRORE: accettata iscrizione doppia!");
			} catch (AssignationNotAcceptedException e){
				System.out.println("OK: iscrizione doppia rifiutata!");	
			}
			try{
				bsInt.register("quaD", "zeta");
				System.out.println("ERRORE: accettata iscrizione doppia!");
			} catch (AssignationNotAcceptedException e){
				System.out.println("OK: iscrizione doppia rifiutata!");	
			}

			
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (GenericErrorException e) {
			e.printStackTrace();
		} catch (AssignationNotAcceptedException e) {
			e.printStackTrace();
		}


	}
}
