package servlet;
import java.awt.Color;
import java.util.Vector;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import common.Message;


/**
 * This graphic interface shows the received messages.
 * @author Alessandro Franchini
 *
 */
public class MailInterface extends JFrame {
	
	
	private static final long serialVersionUID = 1L;
	private JTextArea list;
	
	/**
	 * The constructor
	 * @param message the received messages
	 */
	public MailInterface (Vector <Message> message){
		setTitle("GOSSIP");
		JPanel pannello = new JPanel();
		pannello.setLayout(null);
		setBackground(Color.BLUE);
		setSize(500,300);
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		JLabel print = new JLabel("You have reiceve these messages:");
		print.setBounds(10,10,250,20);
		pannello.add(print);
		list = new JTextArea();
		list.setEditable(false);
		JScrollPane scrollist = new JScrollPane(list);
		scrollist.setBounds(10,35,470,220);
		pannello.add(scrollist);
		getContentPane().add(pannello);
		setup(message);
		
	}
	
	/**
	 * Adds the messages to the graphic interface
	 * @param message the received messages
	 */
	public void setup(Vector <Message> message){
		for(int i = 0; i< message.size(); i++){
			String mex = message.get(i).getFrom().getNick() + " write to you ["+ message.get(i).getDate().toString() +"]: "+ message.get(i).getText() + "\n";
			list.append(mex);
		}
	}
}
