package testing;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

import common.interfaces.BSForServletInterface;
import common.interfaces.exceptions.*;

public class Servlet10RegisterMarco {
	
	public static void main (String[] argv){
		BSForServletInterface bsInt = null;
		try {
			bsInt = (BSForServletInterface) Naming.lookup("rmi://localhost:1111/gossipBS");
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (NotBoundException e) {
			e.printStackTrace();
		}
		
		//test da eseguire su bs nuovo e vuoto con un solo message server
		try {
			//Marco e' sul server 0
			bsInt.register("marco", "pallone");
			System.out.println("OK: registrazione dell'utente marco");
//			Chuck e' sul server 0
			bsInt.register("chuck", "norris");
			System.out.println("OK: registrazione dell'utente chuck");
			
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (GenericErrorException e) {
			e.printStackTrace();
		} catch (AssignationNotAcceptedException e) {
			e.printStackTrace();
		}


	}
}
